@using Entities
@using Business
@using DataAccess

@inject IDbContextFactory<inventory_context> ContextFactory
@inject NavigationManager navManager

<div>
    <EditForm Model="oWarehouse">
        <div class="form-group">
            <label for="">Nombre de Bodega:</label>
            <InputText class="form-control" @bind-Value="oWarehouse.WarehouseName" />
        </div>
        <br>

        <div class="form-group">
            <label for="">Direccion de Bodega:</label>
            <InputText class="form-control" @bind-Value="oWarehouse.WarehouseAddress" />
        </div>
        <br>

        <input type="button" value="Agregar Bodega" @onclick="SaveWarehouse">


    </EditForm>
</div>


@code
{
    Warehouse oWarehouse = new();
    B_Warehouse bWarehouse = null!;

    protected override async Task OnInitializedAsync()
    {
        try
        {
            bWarehouse = new(ContextFactory);            
        }
        catch (System.Exception ex)
        {
            throw ex;
        }
        
        await base.OnInitializedAsync();
    }

    private async Task SaveWarehouse()
    {
        if (bWarehouse is not null)
        {
            await bWarehouse.CreateWarehouse(oWarehouse);
            oWarehouse = new();
            StateHasChanged();
            navManager.NavigateTo("warehouse/list");
        }
    }
}